#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=timpson3.13_base.ps
projection=-JM16.0c+
region=-R-94.9/-93.9/31.5/32.0
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map timpson3.13' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    31.904   -94.455
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    31.880   -94.432
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    31.892   -94.427
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    31.862   -94.433
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    31.847   -94.422
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    31.895   -94.412
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    31.841   -94.416
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    31.889   -94.433
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    31.885   -94.391
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    31.839   -94.405
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    31.830   -94.378
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    31.908   -94.445
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    31.912   -94.443
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    31.686   -94.010
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    31.916   -94.461
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    31.866   -94.426
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    31.593   -94.798
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    31.919   -94.455
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    31.628   -94.779
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.905   -94.455
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.983   -94.427
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.880   -94.433
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.929   -94.417
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.892   -94.427
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.935   -94.394
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.862   -94.434
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.904   -94.458
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.847   -94.422
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.889   -94.415
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.894   -94.412
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.878   -94.434
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.840   -94.414
    31.841   -94.416
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.914   -94.408
    31.841   -94.416
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.889   -94.433
    31.889   -94.433
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.905   -94.414
    31.889   -94.433
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.887   -94.390
    31.885   -94.391
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.910   -94.346
    31.885   -94.391
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.841   -94.404
    31.839   -94.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.866   -94.389
    31.839   -94.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.827   -94.377
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.860   -94.332
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.909   -94.446
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.898   -94.365
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.913   -94.444
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.900   -94.395
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.685   -94.011
    31.686   -94.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.714   -94.038
    31.686   -94.010
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.916   -94.458
    31.916   -94.461
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.892   -94.387
    31.916   -94.461
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.867   -94.425
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.847   -94.423
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.591   -94.799
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.603   -94.807
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.920   -94.454
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.941   -94.443
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.631   -94.777
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.597   -94.806
    31.628   -94.779
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    31.904   -94.455    47.249     1.313     1.487
    31.880   -94.432    79.469     0.794     0.967
    31.892   -94.427    66.984     0.724     0.994
    31.862   -94.433    70.945     0.878     1.102
    31.847   -94.422    68.071     1.344     2.659
    31.895   -94.412    57.875     1.398     2.246
    31.841   -94.416    78.006     1.082     1.962
    31.889   -94.433    43.883     1.547     4.548
    31.885   -94.391    77.565     0.860     1.361
    31.839   -94.405    59.566     2.518     5.196
    31.830   -94.378    47.431     1.710     3.161
    31.908   -94.445    59.092     0.677     1.169
    31.912   -94.443    60.528     0.708     0.972
    31.686   -94.010    63.216     1.771     2.445
    31.916   -94.461    32.649     1.757     3.598
    31.866   -94.426   -50.641     1.122     1.561
    31.593   -94.798   -72.259     1.797     2.880
    31.919   -94.455   -14.978     1.033     1.186
    31.628   -94.779   -65.567     1.337     3.000
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    31.545   -94.835    51.159     1.743     2.473
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    31.545   -94.813   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    31.545   -94.835     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    31.545   -94.835     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    31.500   -94.835   5 km
END
