#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=timpson3.13_dcal.ps
projection=-JM16.0c+
region=-R-97.0/-91.8/29.7/33.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration timpson3.13' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.018   -94.471
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.018   -94.471
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.003   -95.120
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.333   -94.556
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.680   -94.393
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417   -93.890
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417   -93.890
    31.904   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.880   -94.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.892   -94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.862   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.847   -94.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.039   -93.763
    31.895   -94.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.841   -94.416
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.841   -94.416
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.889   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.889   -94.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.885   -94.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.885   -94.391
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.839   -94.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.909   -94.406
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.875   -94.428
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.875   -94.428
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.827   -94.500
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.827   -94.500
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.830   -94.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.909   -94.406
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.909   -94.406
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.875   -94.428
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.908   -94.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.909   -94.406
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.875   -94.428
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.875   -94.428
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.912   -94.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.686   -94.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.686   -94.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.916   -94.461
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.916   -94.461
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.289   -94.225
    31.866   -94.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.289   -94.225
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.289   -94.225
    31.593   -94.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.919   -94.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.760   -94.661
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.465   -94.365
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.518   -94.179
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.289   -94.225
    31.628   -94.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.289   -94.225
    31.628   -94.779
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    32.018   -94.471     0.300
    31.760   -94.661     0.300
    32.003   -95.120     0.300
    31.333   -94.556     0.300
    32.680   -94.393     0.300
    31.417   -93.890     0.300
    32.039   -93.763     0.300
    31.909   -94.406     0.300
    31.875   -94.428     0.300
    31.827   -94.500     0.300
    31.465   -94.365     0.300
    31.518   -94.179     0.300
    32.289   -94.225     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.904   -94.455     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.880   -94.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.892   -94.427     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.862   -94.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.847   -94.422     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.895   -94.412     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.841   -94.416     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.889   -94.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.885   -94.391     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.839   -94.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.830   -94.378     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.908   -94.445     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.912   -94.443     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.686   -94.010     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.916   -94.461     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.866   -94.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.593   -94.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.919   -94.455     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.628   -94.779     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    31.842   -94.443     0.000   222.000   222.000
    31.842   -94.443     0.000   444.000   444.000
END
